Output Module
Performs an Output Module query and exports the results immediately in CSV format.
Please note that the TableViewConfig’s syntax validation is not executed by default, see validationEnabled
DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results). For details please consult output module documentation.
For long-running queries consider using the async equivalent.
Determines if the TableViewConfig’s syntax should be validated (true) or not (false). Default value is false for backward compatibility reasons but it is strongly advised to always enable this validation.
falseThe delimiter character used to separate entries. Default value is ';'.
The delimiter character used for quoted entries. Default value is '"'.
The delimiter character used to escape separator or quote character. Default value is '\'.
Whether a response should include a header (true) or not (false). Default value is true.
trueThe string response in CSV format.
The parameter is invalid JSON TableViewConfig.
Query execution time exceeded.
POST /rest/2.0/outputModule/export/csv HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"textStarts a job that performs an Output Module query and stores the results in a file in CSV format. Id of the file can be retrieved from the message.id property of the job once the job is finished.
Please note that the TableViewConfig’s syntax validation is not executed by default, see validationEnabled
DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results). For details please consult output module documentation.
Determines if the TableViewConfig’s syntax should be validated (true) or not (false). Validation is then performed immediately instead of only when the job is started. Please note that the validation will always take place during the Job execution, regardless of this parameter. Default value is false.
falseThe name of the file. By default the file name will be generated
The delimiter character used to separate entries. Default value is ';'.
The delimiter character used for quoted entries. Default value is '"'.
The delimiter character used to escape separator or quote character. Default value is '\'.
Whether a response should include a header (true) or not (false). Default value is true.
trueWhether an e-mail must be sent on completion of the job.
falseThe JSON representation of the job that performs an Output Module query.
Represents a job. Job is a single atomic task that is to be performed asynchronously
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe type of the job.
IMPORTThe ID of the user that initiated this job.
The visibility of the job.
The progress percentage of the job.
50Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.
The start date of the job.
1488016800The end date of the job.
1488021800The state of the job.
COMPLETEDPossible values: The result of the job.
SUCCESSPossible values: The message of the job.
Import finished in 12s.POST /rest/2.0/outputModule/export/csv-job HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"The JSON representation of the job that performs an Output Module query.
{
"id": "d680a9b7-46ac-4ec3-ae0b-0642043a0f94",
"resourceType": "Job",
"type": "EXPORT",
"state": "WAITING",
"result": "NOT_SET"
}Performs an Output Module query and stores the query results in a file in CSV format. The id of the file is returned in the response.
Please note that the TableViewConfig’s syntax validation is not executed by default, see validationEnabled
DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results). For details please consult output module documentation.
For long-running queries consider using the async equivalent.
Determines if the TableViewConfig’s syntax should be validated (true) or not (false). Default value is false for backward compatibility reasons but it is strongly advised to always enable this validation.
falseThe name of the file. By default the file name will be generated
The delimiter character used to separate entries. Default value is ';'
The delimiter character used for quoted entries. Default value is '"'
The delimiter character used to escape separator or quote character. Default value is '\'
Whether a response should include a header (true) or not (false). Default value is true
trueThe information about the file where the results are stored.
The ID of the file.
The name of the file.
The MIME type of the file content.
The size of the file.
The extension of the file.
The parameter is invalid JSON TableViewConfig.
Query execution time exceeded.
POST /rest/2.0/outputModule/export/csv-file HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"contentType": "text",
"size": 1,
"extension": "text"
}Starts a job that performs an Output Module query and stores the results in a file in Excel format. Id of the file can be retrieved from the message.id property of the job once the job is finished.
Please note that the TableViewConfig’s syntax validation is not executed by default, see validationEnabled
DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results). For details please consult output module documentation.
Whether an e-mail must be sent on completion of the job.
falseDetermines if the TableViewConfig’s syntax should be validated (true) or not (false). Validation is then performed immediately instead of only when the job is started. Please note that the validation will always take place during the Job execution, regardless of this parameter. Default value is false.
falseThe name of the file. By default the file name will be generated.
The name of the sheet. By default no sheet name is set.
Whether the Excel file to export will be '.xlsx' file (true) or a '.xls' file (false. Default value is true.
The parameter will be removed. In the future only XLSX files will be supported..
trueWhether a response should include a header (true) or not (false). Default value is true.
trueWhether cell values exceeding Excel limit should be truncated. Default value is false.
falseThe JSON representation of the job that performs an Output Module query.
Represents a job. Job is a single atomic task that is to be performed asynchronously
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe type of the job.
IMPORTThe ID of the user that initiated this job.
The visibility of the job.
The progress percentage of the job.
50Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.
The start date of the job.
1488016800The end date of the job.
1488021800The state of the job.
COMPLETEDPossible values: The result of the job.
SUCCESSPossible values: The message of the job.
Import finished in 12s.POST /rest/2.0/outputModule/export/excel-job HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"The JSON representation of the job that performs an Output Module query.
{
"id": "d680a9b7-46ac-4ec3-ae0b-0642043a0f94",
"resourceType": "Job",
"type": "EXPORT",
"state": "WAITING",
"result": "NOT_SET"
}Performs an Output Module query and stores the query results in a file in Excel format. The id of the file is returned in the response.
Please note that the TableViewConfig’s syntax validation is not executed by default, see validationEnabled
DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results). For details please consult output module documentation.
For long-running queries consider using the async equivalent.
Determines if the TableViewConfig’s syntax should be validated (true) or not (false). Default value is false for backward compatibility reasons but it is strongly advised to always enable this validation.
falseThe name of the file. By default the file name will be generated.
The name of the sheet. By default no sheet name is set.
Whether the Excel file to export will be '.xlsx' file (true) or a '.xls' file (false. Default value is true.
The parameter will be removed. In the future only XLSX files will be supported.
trueWhether a response should include a header (true) or not (false). Default value is true.
trueWhether cell values exceeding Excel limit should be truncated. Default value is false.
falseThe information about the file where the results are stored.
The ID of the file.
The name of the file.
The MIME type of the file content.
The size of the file.
The extension of the file.
The parameter is invalid JSON TableViewConfig.
Query execution time exceeded.
POST /rest/2.0/outputModule/export/excel-file HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"contentType": "text",
"size": 1,
"extension": "text"
}Performs an Output Module query and exports the returns results immediately in JSON format.
Please note that the ViewConfig/TableViewConfig’s syntax validation is not executed by default, see validationEnabled
DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results). For details please consult output module documentation.
For long-running queries consider using the async equivalent.
Determines if the ViewConfig’s syntax should be validated (true) or not (false). Default value is false for backward compatibility reasons but it is strongly advised to always enable this validation.
falseThe string response in JSON format.
The parameter is invalid JSON ViewConfig/TableViewConfig.
Query execution time exceeded.
POST /rest/2.0/outputModule/export/json HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"textStarts a job that performs an Output Module query and stores the results in a file in JSON format. Id of the file can be retrieved from the message.id property of the job once the job is finished.
Please note that the ViewConfig/TableViewConfig’s syntax validation is not executed by default, see validationEnabled
DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results). For details please consult output module documentation.
Whether an e-mail must be sent on completion of the job.
falseDetermines if the ViewConfig’s syntax should be validated (true) or not (false). Validation is then performed immediately instead of only when the job is started. Please note that the validation will always take place during the Job execution, regardless of this parameter. Default value is false.
falseThe name of the file. By default the file name will be generated.
The JSON representation of the job that performs an Output Module query.
Represents a job. Job is a single atomic task that is to be performed asynchronously
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe type of the job.
IMPORTThe ID of the user that initiated this job.
The visibility of the job.
The progress percentage of the job.
50Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.
The start date of the job.
1488016800The end date of the job.
1488021800The state of the job.
COMPLETEDPossible values: The result of the job.
SUCCESSPossible values: The message of the job.
Import finished in 12s.The parameter is invalid JSON ViewConfig/TableViewConfig.
POST /rest/2.0/outputModule/export/json-job HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"{
"id": "d680a9b7-46ac-4ec3-ae0b-0642043a0f94",
"resourceType": "Job",
"type": "EXPORT",
"state": "WAITING",
"result": "NOT_SET"
}Performs an Output Module query and stores the query results in a file in JSON format. The id of the file is returned in the response.
Please note that the ViewConfig/TableViewConfig’s syntax validation is not executed by default, see validationEnabled
DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results). For details please consult output module documentation.
For long-running queries consider using the async equivalent.
Determines if the ViewConfig’s syntax should be validated (true) or not (false). Default value is false for backward compatibility reasons but it is strongly advised to always enable this validation.
falseThe name of the file. By default the file name will be generated.
The information about the file where the results are stored.
The ID of the file.
The name of the file.
The MIME type of the file content.
The size of the file.
The extension of the file.
The parameter is invalid JSON ViewConfig/TableViewConfig.
Query execution time exceeded.
POST /rest/2.0/outputModule/export/json-file HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"contentType": "text",
"size": 1,
"extension": "text"
}Performs an Output Module query and exports the returns results immediately in XML format.
Please note that the ViewConfig’s syntax validation is not executed by default, see validationEnabled
DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results).For details please consult output module documentation.
For long-running queries consider using the async equivalent.
Determines if the ViewConfig’s syntax should be validated (true) or not (false). Default value is false for backward compatibility reasons but it is strongly advised to always enable this validation.
falseThe string response in XML format.
The parameter is invalid JSON ViewConfig.
Query execution time exceeded.
POST /rest/2.0/outputModule/export/xml HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"textStarts a job that performs an Output Module query and stores the results in a file in XML format. Id of the file can be retrieved from the message.id property of the job once the job is finished.
Please note that the ViewConfig's syntax validation is not executed by default, see validationEnabled
DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results). For details please consult output module documentation.
Determines if the ViewConfig’s syntax should be validated (true) or not (false). Validation is then performed immediately instead of only when the job is started. Please note that the validation will always take place during the Job execution, regardless of this parameter. Default value is false.
falseThe name of the file. By default the file name will be generated.
The JSON representation of the job that performs an Output Module query.
Represents a job. Job is a single atomic task that is to be performed asynchronously
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe type of the job.
IMPORTThe ID of the user that initiated this job.
The visibility of the job.
The progress percentage of the job.
50Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.
The start date of the job.
1488016800The end date of the job.
1488021800The state of the job.
COMPLETEDPossible values: The result of the job.
SUCCESSPossible values: The message of the job.
Import finished in 12s.POST /rest/2.0/outputModule/export/xml-job HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"The JSON representation of the job that performs an Output Module query.
{
"id": "d680a9b7-46ac-4ec3-ae0b-0642043a0f94",
"resourceType": "Job",
"type": "EXPORT",
"state": "WAITING",
"result": "NOT_SET"
}Performs an Output Module query and stores the query results in a file in XML format. The id of the file is returned in the response.
Please note that the ViewConfig's syntax validation is not executed by default, see validationEnabled
DGC admin console settings may impact the execution of the query (especially in terms of timeout and a limit on the number of results). For details please consult output module documentation.
For long-running queries consider using the async equivalent.
Determines if the ViewConfig’s syntax should be validated (true) or not (false). Default value is false for backward compatibility reasons but it is strongly advised to always enable this validation.
falseThe name of the file. By default the file name will be generated.
The information about the file where the results are stored.
The ID of the file.
The name of the file.
The MIME type of the file content.
The size of the file.
The extension of the file.
The parameter is invalid JSON ViewConfig.
Query execution time exceeded.
POST /rest/2.0/outputModule/export/xml-file HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"contentType": "text",
"size": 1,
"extension": "text"
}EXPERIMENTAL Returns Table View Config based on id of given View and its Location. This Table View Config can be used by Output Module to export data as visible in Collibra Data Governance Center User Interface.
This endpoint does not guarantee a one-to-one relation between what is visible in the User Interface and what will be exported by using the provided Table View Config. Due to the possibility of adding additional filters through User Interface the result can contain more rows then are visible in the User Interface. In such case the Table View Config produced by this endpoint should be manually adjusted.
Because obtaining the correct results needs a human intervention, this endpoint should not be used in any kind of automatic processing.
The way the User Interface configuration is mapped into the Output Module query can change between releases, so the Table View Config returned by this endpoint can also be different from release to release.
Example: given page under url https://dgc.collibra.com/glossary?view=133f7f30-033c-4e38-acc2-2c1ac599d19e the view id is 133f7f30-033c-4e38-acc2-2c1ac599d19e.
The id of given View. Can be obtained from Collibra Data Governance Center User Interface
The Location for which the view shall be generated.Views in Collibra Data Governance Center are available under specific locations.Each location is associated with set of filters that are automatically applied to given view.Setting appropriate View Location will produce Table View Config that describes the data seen under desired location and given View in the best way possible.If this field is not provided then the returned Table View Config is going to have additional filters applied based on viewLocation extracted from database.`
| viewLocation value | Corresponding view in Collibra Data Governance Center User Interface | |
|---|---|---|
| BUSINESS_GLOSSARY_BUSINESS_ASSETS | Business Glossary Subpages: Business Assets (/glossary)Glossaries (/glossary/glossaries) | |
| REFERENCE_DATA_CODEVALUES_AND_SETS | Reference Data > Code Values/Sets (/reference-data) | |
| CATALOG_DATA_SETS | Catalog > Data Sets (/catalog/data-sets) | |
| CATALOG_DATA_DICTIONARY | Catalog > Data Dictionary (/catalog/data-dictionary) | |
| CATALOG_TECHNOLOGY_ASSETS | Catalog > Technology Assets (/catalog/technology-assets) | |
| DATA_HELPDESK_ISSUES | Data Helpdesk Subpages: Issues(/data-helpdesk)>Data Quality (/data-helpdesk/data-quality) | |
| STEWARDSHIP_BUSINESS_DIMENSIONS | Stewardship > Business Dimensions (/stewardship/business-dimensions) | |
| POLICY_MANAGER_GOVERNANCE_ASSETS | Policy Manager > Governance Assets (/policy-manager) |
View config generated.
View not found.
GET /rest/2.0/outputModule/tableViewConfigs/viewId/{viewId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
textLast updated
Was this helpful?